#!/bin/sh
#

EXT=bind
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash squashfs-tools \
		openssl-dev perl5 libcap-dev readline-dev
	do tce-load -i $a
done

#make clean
./configure \
	--sysconfdir=/usr/local/etc \
	--localstatedir=/var \
	--disable-threads \
	--with-openssl=/usr/local \
	--enable-fetchlimit \
	--enable-querytrace\
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ
else
	make install DESTDIR=$TCZ
	for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

rm -rf $TCZ/var
mv $TCZ/etc $TCZ/usr/local

mkdir -p $TCZ-dev/usr/local
mkdir -p $TCZ-doc/usr/local

mv $TCZ/usr/local/share $TCZ-doc/usr/local
mv $TCZ/usr/local/include $TCZ-dev/usr/local
mv $TCZ/usr/local/lib $TCZ-dev/usr/local

sudo chown -R root.root $TCZ*

mksquashfs $TCZ/ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
mksquashfs $TCZ-doc /tmp/$EXT/$EXT-doc.tcz -noappend
